package com.ibeetl.admin.flow.service;

import com.ibeetl.admin.core.service.BaseService;
import com.ibeetl.admin.flow.dao.SmsDao;
import com.ibeetl.admin.flow.entity.QuerySmsChannel;
import com.ibeetl.admin.flow.entity.SmsChannelEntity;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.poi.ss.formula.functions.T;
import org.beetl.sql.core.engine.PageQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SmsService extends BaseService<T>{
	
	private final Log log = LogFactory.getLog(this.getClass());
	@Autowired
	private SmsDao smsDao;
	
	public List<SmsChannelEntity> searchSmsChannel(PageQuery<QuerySmsChannel> query) {
		PageQuery<SmsChannelEntity> ret = smsDao.searchSmsChannel(query);
		queryListAfter(ret.getList());
		return ret.getList();
		
	}

}
